package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.sales.SalesLeaderListDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.entity.sales.SalesLeaderAddEntity;
import com.crm.rely.backend.core.entity.sales.SalesLeaderDeleteEntitys;
import com.crm.rely.backend.core.entity.sales.SalesLeaderSearchEntity;
import com.crm.rely.backend.core.entity.sales.SalesLeaderUpdateEntity;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

public interface SalesLeaderService {

    void add(SalesLeaderAddEntity entity) throws Exception;

    void delete(SalesLeaderDeleteEntitys entitys) throws Exception;

    void update(SalesLeaderUpdateEntity entity) throws Exception;

    ResultWithPagerDto<SalesLeaderListDto> searchPageList(SalesLeaderSearchEntity entity) throws ServiceException;

    SalesLeaderListDto searchSingle(SingleLongEntity entity) throws ServiceException;

    List<SalesLeaderListDto> getAllList(SalesLeaderSearchEntity entity) throws ServiceException;

    List<SalesLeaderListDto> searchAddIbNo(SalesLeaderSearchEntity entity) throws ServiceException;

    void addSalesIbNo(SalesLeaderAddEntity entity) throws Exception;

    void deleteSalesIbNo(SalesLeaderAddEntity entity) throws Exception;

}
